Get Media Item by ID
Retrieves a media item (image, video, or file) by its ID
GET
/api/v1/{app_id}/folders/{folder_id}/media/{media_id}Authorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredApp ID
folder_idstringrequiredFolder ID
media_idstringrequiredMedia ID
Responses
200
Media item retrieved successfully
datainternal_pkg_webserver_public-webserver_v1.MediaItemResponseShow propertiesHide properties
alt_textstring | nullattributesAttributeResponse[] | nullShow propertiesHide properties
Array of
AttributeResponsedescriptionstringidstringkeystringnamestringvaluesobject | nullblurhashstring | nullcopyrightstring | nullcreated_atstringcustominteger[] | nulldescriptionstring | nullfile_typestring | nullfolderFolderRef | nullShow propertiesHide properties
Any of:
FolderRef
idstringnamestringpublicbooleanslugstringnull
nullidstringstatusstring | nulltitlestring | nulltranslationsMediaItemTranslationsShow propertiesHide properties
altTranslation[] | nullShow propertiesHide properties
Array of
TranslationidstringlocalestringvaluestringdescriptionTranslation[] | nulltitleTranslation[] | nulltypeTranslation[] | nulltypestringupdated_atstring | nullurlstringvariantsVideoVariantResponse[] | nullShow propertiesHide properties
Array of
VideoVariantResponsecreated_atstringformatstringheightintegeridstringupdated_atstringurlstringwidthintegersuccessboolean400
Invalid request
detailsstring[] | nullerrorstring401
Unauthorized access
detailsstring[] | nullerrorstring403
Forbidden: Folder is not public
detailsstring[] | nullerrorstring404
Media item not found
detailsstring[] | nullerrorstring500
Internal server error
detailsstring[] | nullerrorstring